// 別の記事が公開されていたら表示する
/* 予約投稿とかの時、公開済み記事に「補足でこういうblog書きました」みたいに表示したいけど、予約なので投稿されるまでは見せたくない。といって公開されるまで待つと書き忘れる、という教訓から */
function ryus_show_when_published ( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'postid' => '',
		'slug' => '',
	), $atts ) );
	// スラッグ指定の時、postidを取得する
	if($slug != ''){
		$postid = url_to_postid(site_url().'/'.$slug);
	}
	if($postid != ''){
		$post = get_post($postid);
		if($post){
			if($post->post_status == 'publish'){
				return $content;
			}
		}
	}
	return '';
}

add_shortcode('ryus_show_when_published', 'ryus_show_when_published');